# BIBIS, v0.9.0
美々蝶々の BBS です。

## 從屬ソフト
- PHP 8.2 又は PHP.7.4
- OpenBSD の httpd
- 良い OS

## 注意
- 各種制限は、上限を増やす事はできても、撤廢はできません。
- 管理者用機能がありません。將来、管理用スクリプトを同梱する豫定です。
- public フォルダー以外、外部からのアクセスを禁止してください。
- data フォルダーは、php-fpmから讀み込み可能・書き込み可能にしてください。

## インストール方法(OpenBSD httpds・localhost:8080)
rootで:
```
# cp -r bibis /var/www/
# cd /var/www/bibis
# cp -p config.example.php config.php
# mkdir -m700 data
# chown www:www data
# vi config.php
必ず、PASSWORD_SOLT をランダムに變更すること。

# vi /etc/httpd.conf
server "bibis" {
    listen on * port 8080
    root "/bibis/public"
    directory index "index.php"
    location "*.php" {
        fastcgi socket "/run/php-fpm.sock"
    }
    gzip-static
}

# pkg_add php-8.2.0
# rcctrl enable php82_fpm
# rcctrl start php82_fpm
```
