<?php
// require: PASSWORD_SOLT, and PASSWORD_ITER, and DATA_ROOT

default_config('OPEN_BASEDIR', null);
default_config('USERS_TSV', DATA_ROOT . 'users.tsv');
default_config('LIMIT_TSV', DATA_ROOT . 'repeating-limit.tsv');
default_config('PROFILE_DIR', DATA_ROOT . 'profile/');
default_config('POST_DIR', DATA_ROOT . 'post/');
default_config('POST_LOCK_TXT', DATA_ROOT . 'post-lock.txt');
default_config('ATTACHMENT_DIR', DATA_ROOT . 'attachment/');

default_config('SITENAME', 'BIBIS');
default_config('SITEBASE', '/');
default_config('POSTS_PER_PAGE', 20);
default_config('TIMEZONE', 'UTC');
default_config('THEME', null);

default_config('ENABLE_POST', false);
default_config('ENABLE_GUEST', false);
default_config('ENABLE_LOGIN', false);
default_config('ENABLE_REGISTER', false);
default_config('ENABLE_ATTACHMENT', false);
default_config('ENABLE_IMAGE', false);

default_config('THREAD_SIZE', 100);
default_config('POST_LIMIT', 500);
default_config('POST_LIMIT_PER_DAY', 50);
default_config('USER_LIMIT', 50);

default_config('BIBIS_DEBUG', false);

function default_config($key, $value) {
	if (defined($key)) { return; }
	define($key, $value);
}
