<?php
// HTML Header, and global navigation

$view['logged_in'] = isset($_SESSION['user']);
$view['login_user'] = $_SESSION['user'] ?? null;
$view['messages'] = $_SESSION['messages'] ?? null;
$_SESSION['messages'] = null;
?>
<!DOCTYPE HTML PUBLIC "ISO/IEC 15445:2000//DTD HTML//EN">
<html lang="ja"><head><meta name="viewport" content="width=device-width, initial-scale=1.0">
<link href="<?= htmlspecialchars(get_style_css()) ?>" rel="stylesheet" type="text/css">
<title><?= htmlspecialchars(SITENAME); ?></title><body>
<h1><a href="<?= sitebase() ?>"><?= htmlspecialchars(SITENAME); ?></a></h1>
<ul class="menu">
<?php if ($view['logged_in']): ?>
<li><a href="<?= sitebase('user/?id=' . htmlspecialchars(urlencode($view['login_user']['id']))) ?>"><?= '@' . htmlspecialchars($view['login_user']['id']) ?></a>
<li><a href="<?= sitebase() ?>">タイムライン・Timeline</a>
<li><a href="<?= sitebase('thread/') ?>">スレッド一覧・Threads</a>
<li><a href="<?= sitebase('user-list/') ?>">利用者一覧・Users</a>
<li><a href="<?= sitebase('setting/') ?>">設定・Settings</a>
<li><a href="<?= sitebase('logout/') ?>">ログアウト・Logout</a>
<?php else: ?>
<?php if (ENABLE_LOGIN): ?>
<li><a href="<?= sitebase('login/') ?>">ログイン・Login</a>
<?php endif; ?>
<?php if (ENABLE_REGISTER): ?>
<li><a href="<?= sitebase('register/') ?>">新規登録・Register</a>
<?php endif; ?>
<li><a href="<?= sitebase() ?>">タイムライン・Timeline</a>
<li><a href="<?= sitebase('thread/') ?>">スレッド一覧・Threads</a>
<li><a href="<?= sitebase('user-list/') ?>">利用者一覧・Users</a>
<?php endif; ?>
</ul>
<?php if ($view['messages']): ?>
<ul>
<?php foreach ($view['messages'] as $message): ?>
<li><strong><?= $message ?></strong>
<?php endforeach; ?>
</ul>
<?php endif; ?>
<?php if ($view['errors'] ?? []): ?>
<ul>
<?php foreach ($view['errors'] as $error): ?>
<li><strong>Error:</strong> <?= $error ?>
<?php endforeach; ?>
</ul>
<?php endif; ?>
